Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFileIconProvider.IconType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFileIconProvider.IconType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFileIconProvider

    public static final class QFileIconProvider.IconType

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QFileIconProvider.IconType` | `Computer`
`static QFileIconProvider.IconType` | `Desktop`
`static QFileIconProvider.IconType` | `Drive`
`static QFileIconProvider.IconType` | `File`
`static QFileIconProvider.IconType` | `Folder`
`static QFileIconProvider.IconType` | `Network`
`static QFileIconProvider.IconType` | `Trashcan`

Method Summary
`static QFileIconProvider.IconType` | `resolve(int value)` Returns the QFileIconProvider$IconType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFileIconProvider.IconType` | `valueOf(java.lang.String name)`
`static QFileIconProvider.IconType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Computer

    public static final QFileIconProvider.IconType Computer

### Desktop

    public static final QFileIconProvider.IconType Desktop

### Trashcan

    public static final QFileIconProvider.IconType Trashcan

### Network

    public static final QFileIconProvider.IconType Network

### Drive

    public static final QFileIconProvider.IconType Drive

### Folder

    public static final QFileIconProvider.IconType Folder

### File

    public static final QFileIconProvider.IconType File

Method Detail

### values

    public static QFileIconProvider.IconType[] values()

### valueOf

    public static QFileIconProvider.IconType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFileIconProvider.IconType resolve(int value)

  Returns the QFileIconProvider$IconType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD